click-apparmor (0.3.11) xenial; urgency=medium

  * debian/tests/test_aa-clickhook: Create /usr/share/click/frameworks as
    there is no package in our test dependencies which ships that dir.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Oct 2015 16:37:49 +0100

click-apparmor (0.3.10) wily; urgency=medium

  * debian/tests/test_aa-clickhook, test_aa-profile-hook: mock apparmor cache
    file so as not to give confusing error during click unregister with newer
    click versions
  * src/apparmor/click.py:
    - whitespace update for new pep8
    - update mappings for ubuntu-sdk-15.10 and ubuntu-personal

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 14 Aug 2015 11:12:23 -0500

click-apparmor (0.3.9build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:33:44 +0000

click-apparmor (0.3.9) wily; urgency=medium

  [ Jamie Strandboge ]
  * 'improve' detection is system is snappy. This is crude but is better than
    the previous check

  [ Sergio Schvezov ]
  * Add /frameworks to CLICK_DIR on snappy-based systems

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Jun 2015 14:33:49 -0500

click-apparmor (0.3.8) vivid; urgency=medium

  * debian/control: Recommends 'click | ubuntu-snappy-cli' instead of Depends
    (to get click off the snappy images; click is already exlicitly seeded in
    touch-core seed)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Apr 2015 12:40:23 -0500

click-apparmor (0.3.7) vivid; urgency=medium

  * add find_usable_framework() and use it to parse lists in the frameworks
    field of the snappy compat click manifest. This is needed for snaps to use
    snap frameworks

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 13 Apr 2015 13:45:05 -0500

click-apparmor (0.3.6) vivid; urgency=medium

  * update ubuntu-core-15.04 to use 15.04 policy_version as shipped by
    ubuntu-core-security-apparmor
  * add ubuntu-core-15.10 and ubuntu-core-16.04 framework transforms
  * add early snappy compatibility when policy_version is 1.3 and
    policy_vendor is ubuntu-snappy

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 11 Apr 2015 11:56:24 -0500

click-apparmor (0.3.5) vivid; urgency=medium

  * hardcode databases on snappy systems instead of using gi.repository to
    import Click
  * debian/control: adjust to use Depends: click | snappy-ubuntu-cli

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Apr 2015 19:38:01 -0500

click-apparmor (0.3.4) vivid; urgency=medium

  * support framework policy
    - remove docker-1.3 workaround
    - debian/control: click-apparmor Depends/Build-Depends on apparmor >=
      2.9.1-0ubuntu8~pre8
    - add framework_includes_dir to configuration section of click.py
    - add --include-templates-dir and --include-policy-groups-dir to easyprof
      args
  * debian/control: python3-apparmor-click Depends on apparmor-easyprof-ubuntu
    or apparmor-easyprof-ubuntu-snappy
  * debian/click-apparmor.dirs: install templates and policygroups directories
    in /var/lib/snappy/apparmor

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 27 Mar 2015 14:01:29 -0500

click-apparmor (0.3.3) vivid; urgency=medium

  * implement policy additions for abstractions, policy_groups, read_path
    and write_path and adjust autopkgtests (LP: #1425151)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 25 Feb 2015 16:38:49 -0600

click-apparmor (0.3.2) vivid; urgency=medium

  * finish/clean-up aa-profile-hook implementation
  * add units tests for aa-profile-hook
  * add autopkgtests for aa-profile-hook

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 15 Jan 2015 16:03:42 -0600

click-apparmor (0.3.2~snappy2) vivid; urgency=medium

  * adjust aa-profile-hook to set profile attachment and click variables if
    ###PROFILEATTACH### and ###VAR### are set
  * temporarily add docker-1.3 framework

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 03 Dec 2014 17:41:44 -0600

click-apparmor (0.3.2~snappy1) vivid; urgency=medium

  * add aa-profile-hook to provide apparmor-profile hook to install AppArmor
    profiles
  * debian/click-apparmor.install: install aa-profile-hook
  * debian/click-apparmor.dirs: create /var/lib/apparmor/snappy/profiles
  * debian/click-apparmor.manpages: install manpage
  * debian/rules: adjust to install apparmor-profile hook

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 02 Dec 2014 17:10:48 -0600

click-apparmor (0.3.1) vivid; urgency=medium

  * debian/tests/run_testsuite-as-root: adjust import for src.apparmor change

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 25 Nov 2014 19:37:11 -0600

click-apparmor (0.3) vivid; urgency=medium

  * add 15.04 frameworks, tests and autopkgtests
  * aa-clickhook, aa-clickquery, aa-clicktool, click.py, test-clicktool.py:
    use apparmor.common now that python3-apparmor is usable
  * fix running testsuite on systems with python2-apparmor-click already
    installed:
    - move apparmor/ to src/apparmor/
    - src/apparmor/click.py: clean up imports and references to imported
      items
    - test-clicktool.py: import from src.apparmor, not apparmor, clean up
      imports and references to imported items
    - adjust setup.py to use "package_dir = {'':'src'},"
  * skip duplicate policy groups, abstractions, read_path and write_path
    (LP: #1271577)
  * allow specifying multiple --include paths to aa-clickhook (LP: #1384812)
  * add autopkgtests for --include
  * simplify and document procedure for adding new frameworks (LP: #1387409)
  * debian/postrm: remove md5sum file on purge
  * add ubuntu-core-15.04 framework and adjust tests

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 25 Nov 2014 10:37:31 -0600

click-apparmor (0.2.11.2) utopic; urgency=medium

  * aa-clickhook: disable expr tree simplification when calling the parser
    since this considerably slows down click policy compiles (LP: #1383858)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 22 Oct 2014 14:24:15 -0400

click-apparmor (0.2.11.1) utopic; urgency=medium

  * aa-clickhook: don't remove the lock file so we can properly handle 3 or
    more processes contending for the lock

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 Oct 2014 09:32:53 -0500

click-apparmor (0.2.11) utopic; urgency=medium

  * apparmor/click.py: be more careful with out_fn assignment in
    output_policy()
  * aa-clickhook: implement blocking lockfile to make sure this script does
    not run concurrently with itself (LP: #1377338)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 Oct 2014 00:15:57 -0500

click-apparmor (0.2.10) utopic; urgency=medium

  * also remove cache files on uninstall (LP: #1375938)
  * obtain all available click database names from click and use all of them
    in CLICK_DIR. This ensures that the profile can be used regardless of
    where the click app installation directory is (LP: #1371574)
  * debian/postinst: update the cached .md5sums file on upgrade to avoid
    running on install and then again on first boot after upgrade. This change
    only affects apt upgrades and not system-image upgrades since system-image
    upgrades always use the existing .md5sums if they exist (see
    /etc/system-image/writable-paths).

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 06 Oct 2014 16:01:26 -0500

click-apparmor (0.2.9) utopic; urgency=medium

  * update/properly implement aa-clickhook autopkgtest override tests

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 11 Jul 2014 12:47:20 -0500

click-apparmor (0.2.8) utopic; urgency=medium

  * update man page for how aa-clickhook works and tips on how to use it
  * implement policy overrides for abstractions, policy_groups, read_path
    and write_path and adjust autopkgtests

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Jul 2014 04:06:35 -0500

click-apparmor (0.2.7) utopic; urgency=medium

  * Remove init script and upstart job. This is now handled by the upstart
    job in the main apparmor package.
    - debian/control: bump depends to apparmor package with upstart job.
    - debian/postinst, debian/preinst, debian/postrm: remove init scripts
      with dpkg-maintscript-helper.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Jun 2014 07:25:52 -0400

click-apparmor (0.2.6) utopic; urgency=medium

  * add APP_APPNAME to APP_PKGNAME_DBUS to AppArmor variables

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 16 Jun 2014 08:30:18 -0500

click-apparmor (0.2.5) utopic; urgency=medium

  * debian/click-apparmor.init: add a sysv init script to satisfy init
    system transition. (LP: #1322296)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 May 2014 16:56:05 +0200

click-apparmor (0.2.4) utopic; urgency=medium

  * update debian/tests for 1.2 policy

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 22 May 2014 16:23:12 +0200

click-apparmor (0.2.3) utopic; urgency=medium

  * add 14.10 framework transform and tests
  * debian/control: adjust Maintainer

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 22 May 2014 11:41:08 +0200

click-apparmor (0.2.2) utopic; urgency=medium

  * aa-exec-click: adjust LD_LIBRARY_PATH to also include $pkgdir/lib"

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 01 May 2014 09:30:09 -0500

click-apparmor (0.2.1) utopic; urgency=medium

  * debian/tests/test_aa-clickhook:
    - fix user detection. Thanks to Martin Pitt
    - use 'click list --user=$user'
  * debian/control: Build-Depends on apparmor-easyprof

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 30 Apr 2014 10:47:55 -0500

click-apparmor (0.2) trusty; urgency=low

  * aa-exec-click: don't allow running under X by default
    - abort if running under X
    - add -x option to force running under X
    - add aa-exec-click.1 man page
    - debian/click-apparmor.manpages: install aa-exec-click.1
  * debian/control:
    - drop unneeded Depends on python3-click
    - Build-Depends on pyflakes
  * add Makefile for tests
  * debian/rules:
    - don't also call dh_auto_build now that we have a Makefile
    - update to use Makefile for test commands
  * support alternate frameworks and subframeworks
  * add API for querying policy version given the click framework
  * add aa-clickquery tool to use query API with associated man page and
    autopkgtest
  * add aa-clickhook man page

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 14 Mar 2014 10:17:11 -0500

click-apparmor (0.1.15.3) trusty; urgency=low

  [ Jamie Strandboge ]
  * regenerate policy if hook symlink is newer than the profile (LP: #1291549)
  * debian/control: update for CI Train
    - Set X-Auto-Uploader to no-rewrite-version
    - Set Vcs-Bzr to the new target branch

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 02:18:35 +0000

click-apparmor (0.1.14) trusty; urgency=medium

  * implement autopkgtests
    - add debian/tests/control
    - add preliminary tests to debian/tests
    - adjust debian/control for XS-Testsuite
  * test-clicktool.py: don't run unload profiles if ADTTMP is set
  * apparmor/click.py: adjust to add mock_testenv and honor it to skip
    checking apparmor_dirs when set

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 05 Feb 2014 17:35:29 -0500

click-apparmor (0.1.13) trusty; urgency=low

  * prepend the click install directory to XDG_DATA_DIRS (LP: #1250546)
  * aa-exec-click: adjust to update LD_LIBRARY_PATH and QML2_IMPORT_PATH
  * debian/control: make click-apparmor Architecture: any so we can obtain
    the gnu triplet
  * debian/rules: adjust aa-exec-click for gnu triplet

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Dec 2013 10:18:55 -0600

click-apparmor (0.1.12) trusty; urgency=low

  [ Colin Watson ]
  * Treat manifests as UTF-8, even in non-UTF-8 locales (LP: #1245677).

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 28 Oct 2013 19:33:23 -0700

click-apparmor (0.1.11) saucy; urgency=low

  * don't traceback on os.remove (LP: #1234908)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Oct 2013 14:46:54 -0500

click-apparmor (0.1.10) saucy; urgency=low

  * work around lack of first boot postinst-style code in lxc-android-config
    and ship a click-apparmor upstart job. This checks to see if apparmor or
    apparmor-easyprof-ubuntu's dpkg md5sums changed, and if so, runs
    'aa-clickhook -f'. This allows us to update policy for click packages on
    reboot after system-image updates. Note, the click system hooks job is
    not enough, because that correctly uses 'aa-clickhook' without arguments.
    'aa-clickhook -f' isn't normally needed so this job completes quickly
    in typical reboots ('aa-clickhook -f' still only updates the click policy
    that is affected). (LP: #1229449)
  * don't verify the policy before load. It will error on load which is
    equivalent to erroring out before load. This allows us to avoid parsing
    policy twice which can save significant time when regenerating lots of
    profiles, which is important during first boot after system upgrade
  * generated policy should be readable by everyone (the click security
    manifests are not private)
  * fix default path to apparmor_parser (thus avoiding a needless 'which')
  * debian/rules: cleanup .coverage and apparmor/__pycache__

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 23 Sep 2013 14:11:03 -0500

click-apparmor (0.1.9) saucy; urgency=low

  * aa-exec-click: account for when /usr/sbin is not in the user's PATH

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 05 Sep 2013 09:05:12 -0500

click-apparmor (0.1.8) saucy; urgency=low

  * apparmor/click.py: don't forget to delete temporary file when not
    updating policy
  * aa-clickhook, apparmor/click.py: add --include=PATH option for injecting
    #include "PATH" into profiles to support QA testing (eg, autopilot)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 04 Sep 2013 17:10:42 -0500

click-apparmor (0.1.7) saucy; urgency=low

  * README: update to describe how to test
  * add several new tests to complete coverage of apparmor/click.py
  * apparmor/click.py
    - don't overwrite existing file of policy is unchanged
    - fix couple of tracebacks with error reporting found by new tests
  * debian/control: Build-Depends on apparmor-easyprof-ubuntu since it is
    needed by the testsuite

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 30 Aug 2013 07:09:02 -0500

click-apparmor (0.1.6) saucy; urgency=low

  * fix bashism in aa-exec-click

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 27 Aug 2013 16:01:25 -0500

click-apparmor (0.1.5) saucy; urgency=low

  * add aa-exec-click
  * debian/control: Depends on apparmor that ships aa-exec
  * abstract out _unload_profile()
  * clarify clickname, profile_filename (formerly profilename) and raw_name
  * don't try to unload the profile from the kernel. Once there is a
    guarantee that the app is not running, then we can remove the profile

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Aug 2013 13:30:41 -0500

click-apparmor (0.1.4) saucy; urgency=low

  [ Steve Beattie ]
  * aa-clickhook: output to stdout instead of stderr if no output file
    is specified.

  [ Jamie Strandboge ]
  * add support for abstractions, read_paths and write_paths. These are not
    generally allowed in the Ubuntu app store, but will be handled via the
    review process.
  * fix a few error strings
  * policy_version is JSON Number, not string
  * add some more policy_version tests
  * Qt json outputs 1.0 as 1. Account for that in our transmogrification to
    easyprof (LP: #1214618)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 22 Aug 2013 12:15:02 -0500

click-apparmor (0.1.3) saucy; urgency=low

  * support different policy vendors since the click hook should be usable
    with alternative app stores

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 16 Aug 2013 16:27:44 -0500

click-apparmor (0.1.2) saucy; urgency=low

  * apparmor/click.py:
    - add dbus_path() (uses libnih-dbus) to generate an APP_ID_DBUS template
      variable
    - rename APPNAME to APP_PKGNAME and APPVERSION to APP_VERSION to make
      policy clear wrt click documentation
  * aa-clickhook: report but don't trace back failures to generate the profile
  * update tests for above
  * debian/control:
    - Build-Depends on libnih-dbus1 (needed for tests)
    - python3-apparmor-click should Depends on libnih-dbus1
    - python3-apparmor-click should Depends on apparmor-easyprof-ubuntu >=
      1.0.17 (due to variable name changes)
    - tighten up other dependencies

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 16 Aug 2013 12:22:42 -0500

click-apparmor (0.1.1) saucy; urgency=low

  * implement apparmor_available() to allow installing click packages when
    apparmor is not available. Obviously this is not generally recommended
    for normal use, but is valid when installing click packages in a chroot,
    as with live-build
    - apparmor/click.py: implement apparmor_available()
    - test-clicktool.py: add tests
    - aa-clickhook: adjust to use apparmor_available()

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 13 Aug 2013 07:15:45 -0500

click-apparmor (0.1.0) saucy; urgency=low

  * some pep8/code/comment cleanups and add documentation
  * remove unused aa-clickprototype
  * debian/rules: update to run pep8

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Aug 2013 15:44:26 -0500

click-apparmor (0.0.5) saucy; urgency=low

  [ Steve Beattie ]
  * debian/control: fix typo in maintainer email address
  * apparmor/click.py:
    - fix up pyflakes warnings (1 false positive remains)
    - fix up some pylint warnings
    - some click applications don't specify the policy_groups entry at
      all when using the 'unconfined' template; don't reject and instead
      automatically create an empty list
    - use a default value for policy_version as well, again to be
      lenient in what is missing from what we accept

  [ Jamie Strandboge ]
  * debian/rules: run testsuite
  * test-clicktool.py: pyflakes cleanups

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 24 Jul 2013 15:42:26 -0700

click-apparmor (0.0.4) saucy; urgency=low

  * debian/rules: move dh_click to override_dh_auto_install

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 24 Jul 2013 02:05:31 -0500

click-apparmor (0.0.3) saucy; urgency=low

  * split out python3-apparmor-click to only generate python3 versions
    of everything.

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 23 Jul 2013 12:25:45 -0700

click-apparmor (0.0.2) saucy; urgency=low

  * Update to incorporate click packaging and hook changes

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 23 Jul 2013 06:37:21 -0700

click-apparmor (0.0.1) UNRELEASED; urgency=low

  * Initial release.

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 11 Jul 2013 10:20:01 -0700
